Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 223848

Summary: There is an update available for SeaMonkey.
Product: [Fedora] Fedora Reporter: Kasper Dupont <bugzilla>
Component: seamonkeyAssignee: Martin Stransky <stransky>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 5CC: caillon, kengert, mcepl, mcepl, stransky
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: seamonkey-1.0.7-0.6.0.1.fc5 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-02-14 10:17:03 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Kasper Dupont 2007-01-22 19:13:19 UTC
Description of problem:
SeaMonkey says "There is an update available for SeaMonkey.", but "yum
check-update" does not show any updates for SeaMonkey.

Version-Release number of selected component (if applicable):
seamonkey-1.0.7-0.6.fc5

How reproducible:
Haven't tried.

Steps to Reproduce:
1. Start SeaMonkey
2. Wait a short while
  
Actual results:


Expected results:
SeaMonkey and yum agrees on whether there is an update available. (This would be
trivial to satisfy, if they used the same source to get the information).

Additional info:

Comment 1 Kai Engert (:kaie) (inactive account) 2007-02-07 03:11:14 UTC
Did you manually change the preference "check for updates"?
By default the SeaMonkey package for Fedora has this option disabled.

If you would like to confirm that I'm right, create a new seamonkey profile, and
go to edit/prefs/advanced/software install
and you should see checkbox "check for updates" NOT checked.


If you confirm what I said, there is no bug here.


If you manually enabled that in your profile, you get the report that
Mozilla.org has produced a new release.

This doesn't necessarily mean that Fedora Extras immediately has a new release.


Comment 2 Kai Engert (:kaie) (inactive account) 2007-02-07 03:36:36 UTC
Sorry, please ignore my previous comment!
You are not refering to the extras package, but the special FC-5 replacement
package!


Comment 3 Kai Engert (:kaie) (inactive account) 2007-02-07 03:41:05 UTC
Martin, in order to fix this bug, we'd have to add this line to
mozilla-redhat-default-prefs.js

pref("update_notifications.enabled", false);

You might also want to have a look at the other entries in your prefs file and
see whether they are correct. Here is what the seamonkey extras package contains:

pref("browser.display.use_system_colors",   true);
pref("general.smoothScroll",                true);
pref("general.useragent.vendor", "Fedora");
pref("general.useragent.vendorSub", "SEAMONKEY_RPM_VR");
pref("update_notifications.enabled", false);


Should you consider to produce an update package for FC-5, could you please add
a symbolic link from /usr/bin/mozilla to /usr/bin/seamonkey, so former users of
the seamonkey package will still be able to start the program under the name
"seamonkey"?


Comment 7 Fedora Update System 2007-02-13 22:33:37 UTC
seamonkey-1.0.7-0.6.0.1.fc5 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Comment 8 Matěj Cepl 2007-02-14 10:17:03 UTC
So this should be closed, right?

Comment 9 Kasper Dupont 2007-02-14 18:23:27 UTC
As far as I can see 1.0.7-0.6.fc5 is the newest.

Comment 10 Kai Engert (:kaie) (inactive account) 2007-02-14 21:26:38 UTC
I can see the Martin built the new package into the updates-testing tree.
I can see the package on the master download server, but not yet on the mirror.


Comment 11 Martin Stransky 2007-02-15 08:09:50 UTC
oops, I meant to push it to final. Moved now.

Comment 12 Fedora Update System 2007-02-15 19:46:04 UTC
seamonkey-1.0.7-0.6.0.1.fc5 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.